/* STICKY HEADER NAVIGATION BAR */
.sticky{
    position: sticky;
    top: 0;
    bottom: 0;
   z-index: 999;
}
.nav_header{
  background-color: rgba(116, 206, 209, 1);
  filter: drop-shadow(0px 3px 1px #FFF9DC);
  display:flex;
  flex-direction:row;
  align-items: center;
  justify-content:center;
  gap: 7%;
  padding:0.5%;
  text-transform: uppercase;
  font-family: "Londrina Solid", sans-serif;
  font-weight: 270; 
  font-size: 110%;
  height: 80px;
  /* this makes it touch the edge of the screen! */
  top: 0;
  left: 0;
  width: 100%;
}
.nav_button{
    background: linear-gradient(#FF5CA2 55%, #BF3E81);
    width: 10%;
    /* height: 20%; */
    text-align: center;
    border:2px solid #FFF9DC;
    border-radius: 10px;
    padding: 0.5%;
    filter: drop-shadow(0px 3px 1px #FFF9DC);
    transition:all 0.3s ease;
     z-index: 999;
     position: relative;
       font-family: "Londrina Solid", sans-serif;

}
.nav_button a{
    text-decoration: none;
    color: #FFF9DC;
    font-size: large;
}
.nav_button:hover{
    background: linear-gradient(#FF5CA2, #FFE048);
    transform:scale(1.1);
}
.nav_button_current{
    background: linear-gradient(#FF5CA2 55%, #FFA4BD);
    width: 10%;
    /* height: 20%; */
    text-align: center;
    border:2px solid #FFF9DC;
    border-radius: 10px;
    padding: 0.5%;
    filter: drop-shadow(0px 3px 1px #FFF9DC);
  transition:all 0.3s ease;
       z-index: 999;
     position: relative;
}
.nav_button_current:hover{
    background: linear-gradient(#FF5CA2, #FFE048);
    transform:scale(1.1);
}
.nav_button_current a{
    text-decoration: none;
    color: #FFF9DC;
    font-size: large;
}
.nav_logo{
    top: 20%;
    width: 20%;
    filter: drop-shadow(0px 3px 1px #FF5CA2);
  transition:all 0.3s ease;
       z-index: 999;
     position: relative;
}
.nav_logo:hover{
    transform:scale(1.1);
}
 #particles-js {
    position: absolute;
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 100%;
}
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* SERVICE PREVIEW */
.service_preview{
    background-color: #FFF9DC;
}
.service_preview .fade-in{
    height: auto;
    padding: 7%;
    gap: 15%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.card_preview{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 60%;
    justify-content: center;
    filter: drop-shadow(0px 3px 1px #FFE048);
}
.brndcover img{
    mask-image: url(../images/Asset\ 9shape.svg);
    mask-repeat: no-repeat;
    width: 100%;
    margin: 0 auto;
}
.illustcover img{
    mask-image: url(../images/Asset\ 9shape.svg);
    mask-repeat: no-repeat;
    width: 100%;
}
.webcover img{
    mask-image: url(../images/Asset\ 9shape.svg);
    mask-repeat: no-repeat;
    width: 100%;
}
.service_preview .banner_text:hover{
    transform:scale(1.1);
}
.service_preview .banner_text{
    width: 150%;
}
.card_preview button{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    cursor: pointer;
    /* margin-top: -60%; */
    /* height: 100%; */
}


/* REMOVES GREY UGLY DEFAULT BUTTON STYLING */
button{
    border: none;
    background: none;
}

/* CUSTOM BANNER TEXT BOX */
.banner_text{
    color: #FFF9DC;
    background: linear-gradient(#FF5CA2 55%, #FFE048);
    text-transform: uppercase;
    border:2px solid #BF3E81;
    border-image: url(../images/banner_text_colour.svg) 27 23 / 50px 30px / 1rem round space;
    filter: drop-shadow(0px 3px 1px #FF5CA2);
    font-family: "Londrina Solid", sans-serif;
    text-align: center;
    margin-top: 15%;
    font-size: larger;
    transition:all 0.3s ease;
}


/* FADE TRANSITION */
.fade-in{
    opacity: 0;
    transform: translateY(40px);
    transition: all 0.6s ease;
}
.fade-in.show{
    opacity:1;
    transform: translateY(0);
}

/* SERVICES */
.services{
    background-color: #BF3E81;
    width: 100%;
}
.illustration{
    background-color: #FFE048;
    width: 100%;
}
.webdesign{
    background-color: #BF3E81;
    width: 100%;
}
.sec1{
    width: 100%;
    height: 50%;
    display: flex;
    /* justify-content: center; */
    align-items: center;
    /* flex-direction: row; */
    padding: 5%;
    gap: 5%;
}
.sec1_left .sec1_right{
    flex: 1;
}
.sec1_left p{
    margin-top: 10%;
    color: #FFF9DC;
  font-family: "Kanit", sans-serif;
}
.sec1_left{
    width: 55%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    /* margin-top: -40%; */
    align-items: center;
}
.sec1_left .banner_text{
    filter: drop-shadow(0px 3px 1px #FFE048);
    width: 100%;
}
.deliverable{
    display: flex;
    gap: 3%;
    justify-content: center;
    align-items: center;
    margin-top: 8%;
    max-width: 100%;
}
.deliverable_text{
    margin-left: 15%;
}
.deliverable h2{
    font-family: "Londrina Solid", sans-serif;
    color: #FFF9DC;
    text-transform: uppercase;
}
.deliverable p{
    margin-top: 3%;
}
.sec1_right{
    /* 1340 x 2250 */
   background:  linear-gradient(rgba(255, 224, 72, 0.5), rgba(255, 92, 162, 0.3)), url('../serv1brnd/brndcover.png');
   width: 45%;
   height: 100vh;
   background-size: cover;
   background-repeat: no-repeat;
   border-radius: 5%;
filter: drop-shadow(0px 3px 1px #FFE048);
}
.illustration{
    display: none;
}
.illustration .sec1_right{
    background:  linear-gradient(rgba(255, 224, 72, 0.5), rgba(255, 92, 162, 0.3)), url('../serv2illust/illustcover.png');
    filter: drop-shadow(0px 3px 1px #BF3E81);
   width: 45%;
   height: 100vh;
   background-size: cover;
   background-repeat: no-repeat;
background-position: center;
} 
.webdesign{
    display: none;
}
.webdesign .sec1_right{
    background:  linear-gradient(rgba(116, 206, 209, 0.5), rgba(255, 92, 162, 0.3)), url('../serv3web/rollinmockup\ copy.gif');
   width: 45%;
   height: 100vh;
   background-size: cover;
   background-repeat: no-repeat;
background-position: center;
}
.illustration .sec1_left p{
    color: #BF3E81;
}
.illustration .sec1_left h2{
        color: #BF3E81;
}
.illustration .banner_text{
        filter: drop-shadow(0px 3px 1px #BF3E81);

}
.sec1_left .nav_button{
    width: 50%;
    filter: drop-shadow(0px 3px 1px #FFE048);
    margin-top: 8%;
    background: linear-gradient(#FFF9DC 55%, #FF5CA2);
}
.sec1_left .nav_button a{
    color: #BF3E81;
    text-transform: uppercase;
}
.gallery{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.gallery .banner_text{
    width: 55%;
    margin-top: 8%;
}

/* FOOTER */
.footer{
    background-color: #74CED1;
    border:2px solid #FFF9DC;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100%;
    flex-direction: column;
    color: #FFF9DC;
    font-family: "Londrina Solid", sans-serif;
    font-size: 150%;
    top: 0;
    left: 0;
    position: relative;
}
.footer_content{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 1%;
    width: 25%;
    height: 100%;
    z-index: 999;
    filter: drop-shadow(0px 3px 1px #FF5CA2);
}
#particles-js2{
    position: absolute;
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 100%;
}

/* TICKER TAPE */
.scrolling_text {
    width: 100%;
    overflow: hidden;
    display: flex;
    white-space: nowrap;
}
.text span {
    margin: 0 45px;
}
.text {
    font-size: 100%;
    font-weight: 700;
    text-transform: uppercase;
    font-family: "Londrina Solid", sans-serif;
    color: #BF3E81;
    background-color: #FFE048;
    animation: animate_text 100s linear infinite; /* The animation property */
    border:1px solid #FFF9DC;
}
/* GALLERY SECTION */
.masonry{
  column-count: 3;
  column-gap: 3%;
  padding: 3%;
filter: drop-shadow(0px 3px 1px #FFF9DC);
}
.masonry img{
  width:100%;
  margin-bottom: 12px;
  display:block;
  transition: transform 0.3s, box-shadow 0.3s;
  border-radius: 5%;
border:1px solid #FFF9DC;
}
.masonry img:hover{
  transform:scale (1.03);
  box-shadow: 0 10px 25px rgba(255, 224, 72, 0.5);
}
.illustration .fade-in .masonry img:hover{
  transform:scale (1.03);
  box-shadow: 0 10px 25px rgba(255, 92, 162, 0.5);
}
/* MOBILE ELEMENTS */
.mobile_header{
    position: sticky;
    background-color: #74CED1;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1%;
    gap: 30%;
    filter: drop-shadow(0px 3px 1px #FFF9DC);
}
.mobile_header img{
    max-width: 50%;
}
.burger_icon{
    color: #FFF9DC;
    background: linear-gradient(#FF5CA2 55%, #FFE048);
    border-radius: 5px;
    width: 10%;
    height: 10%;
    text-align: center;
    border:2px solid #FFF9DC;
    z-index: 999;
}
.sidenav {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 1;
  top: 0;
  right: 0;
background: linear-gradient(rgba(255, 224, 72, 0.9), rgba(255, 92, 162, 0.7));
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 60px;
  display: flex;
  flex-direction: column;
  border:2px solid #FFF9DC;
}
.top_navbar{
    display: flex;
    padding: 3%;
    gap: 50%;
}
.top_navbar img{
filter: drop-shadow(0px 3px 1px #FFF9DC);
}
.sidenav a {
  /* padding: 8px 8px 8px 32px; */
  text-decoration: none;
  display: block;
  transition: 0.3s;
background: linear-gradient(#FF5CA2 55%, #BF3E81);
/* width: 100%; */
border:2px solid #FFF9DC;
border-radius: 10px;
padding: 2%;
filter: drop-shadow(0px 3px 1px #FFF9DC);
transition:all 0.3s ease;
z-index: 999;
/* position: relative; */
margin-top: 5%;
/* margin-left: 5%; */
margin: 5%;
gap: 5%;
/* height: 43%; */
top: 50px;
}
.burger_text{
font-size: 25px;
  color: #f1f1f1;
  font-family: "Londrina Solid", sans-serif;
  text-align: center;
  height: 15;
  font-size: x-large;
  text-transform: uppercase;
}
.sidenav a:hover {
  color: #f1f1f1;
}
.closebtn {
  top: 50px;
  font-size: 36px;
  margin-left: 150px;
  text-decoration: none;
  color: #f1f1f1;
  text-align: center;
  width: 20%;
  font-weight: bold;
  background: linear-gradient(#FF5CA2 55%, #FFE048);
}
@media (max-width:900px){
  .masonry{
    column-count: 2;
  }
}
@keyframes animate_text {
    from {
      transform: translate3d(0, 0, 0);
    }
    to {
      transform: translate3d(-100%, 0, 0);
    }
}
/* HIDE MOBILE ELEMENTS HERE */
@media screen and (min-width: 600px){
.mobile_header{
    visibility: hidden;
    display: none;
}
.mobile_explain{
    visibility: hidden;
    display: none;
}
}
/* HIDE DESKTOP ELEMENTS HERE, MAKE MOBILE ELEMENTS VISIBLE HERE, EDIT EXISTING DESKTOP ELEMENTS FOR MOBILE HERE */
@media screen and (max-width: 600px){
    .sticky{grid-area: 1 / span 6;}
    .nav_header{
        display: none;
    }
    .mobile_header{
        visibility: visible;
    }
    .intro{
    display: none;
    }
    .mobile_intro{
        display: block;
    }
    .mobile_services{
        display: block;
    }
    .services_section{
        display: none;
    }
  .sidenav {padding-top: 15px;}
  .sidenav a {font-size: 18px;}
  .service_preview .fade-in{
    flex-direction: column;
  }
  .service_preview{
    background-color: #FFF9DC;
    height: 125vh;
    margin-top: 0%;
  }
  .card_preview img{
    margin-top: 5%;
  }
  .card_preview button{
    margin-bottom: 15%;
  }
  .mobile_explain{
    display: block;
    color: #BF3E81;
    text-align: center;
    font-family: "Londrina Solid", sans serif;
    text-transform: uppercase;
    font-size: larger;
}
.sec1{
    flex-direction: column;
    width: 100%;
}
.sec1_left{
    width: 100%;
    text-align: center;
}
.sec1_right{
    display: none;
}
.gallery .banner_text{
    margin-bottom: 5%;
}
}